Selection (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.statements

## Class Selection

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Selection

-     public abstract class Selection
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Selection.ResultSetBuilder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Selection(java.util.Collection<ColumnDefinition> columns, java.util.List<ColumnSpecification> metadata, boolean collectTimestamps, boolean collectTTLs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addColumnForOrdering(ColumnDefinition c)`
    `static Selection` | `forColumns(java.util.Collection<ColumnDefinition> columns)`
    `static Selection` | `fromSelectors(CFMetaData cfm, java.util.List<RawSelector> rawSelectors)`
    `java.util.Collection<ColumnDefinition>` | `getColumns()`
    `ResultSet.Metadata` | `getResultMetadata()`
    `protected abstract java.util.List<java.nio.ByteBuffer>` | `handleRow(Selection.ResultSetBuilder rs)`
    `boolean` | `isWildcard()`
    `Selection.ResultSetBuilder` | `resultSetBuilder(long now)`
    `static Selection` | `wildcard(CFMetaData cfm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Selection

          protected Selection(java.util.Collection<ColumnDefinition> columns,
                   java.util.List<ColumnSpecification> metadata,
                   boolean collectTimestamps,
                   boolean collectTTLs)

  - ### Method Detail

    - #### isWildcard

          public boolean isWildcard()

    - #### getResultMetadata

          public ResultSet.Metadata getResultMetadata()

    - #### wildcard

          public static Selection wildcard(CFMetaData cfm)

    - #### forColumns

          public static Selection forColumns(java.util.Collection<ColumnDefinition> columns)

    - #### addColumnForOrdering

          public int addColumnForOrdering(ColumnDefinition c)

    - #### fromSelectors

          public static Selection fromSelectors(CFMetaData cfm,
                                java.util.List<RawSelector> rawSelectors)
                                         throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### handleRow

          protected abstract java.util.List<java.nio.ByteBuffer> handleRow(Selection.ResultSetBuilder rs)
                                                                    throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### getColumns

          public java.util.Collection<ColumnDefinition> getColumns()

      Returns:
        the list of CQL3 columns value this SelectionClause needs.

    - #### resultSetBuilder

          public Selection.ResultSetBuilder resultSetBuilder(long now)

Copyright © 2014 The Apache Software Foundation